com.h3c.util.pkt

## Enum IpTosDsfc

- java.lang.Object
- - java.lang.Enum<IpTosDsfc>
  - - com.h3c.util.pkt.IpTosDsfc

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<IpTosDsfc>

      public enum IpTosDsfc
      extends Enum<IpTosDsfc>
      implements ProtocolEnum

  IP TOS Differentiated Services Field Codepoints (DSFC) types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AF11` AF11 type.
    `AF12` AF12 type.
    `AF13` AF13 type.
    `AF21` AF21 type.
    `AF22` AF22 type.
    `AF23` AF23 type.
    `AF31` AF31 type.
    `AF32` AF32 type.
    `AF33` AF33 type.
    `AF41` AF41 type.
    `AF42` AF42 type.
    `AF43` AF43 type.
    `CS0` CS0 type.
    `CS1` CS1 type.
    `CS2` CS2 type.
    `CS3` CS3 type.
    `CS4` CS4 type.
    `CS5` CS5 type.
    `CS6` CS6 type.
    `CS7` CS7 type.
    `EF_PHB` EF_PHB type.
    `VOICE_ADMIT` Voice Admit type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static IpTosDsfc` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IpTosDsfc[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CS0

          public static final IpTosDsfc CS0

      CS0 type.

    - #### CS1

          public static final IpTosDsfc CS1

      CS1 type.

    - #### CS2

          public static final IpTosDsfc CS2

      CS2 type.

    - #### CS3

          public static final IpTosDsfc CS3

      CS3 type.

    - #### CS4

          public static final IpTosDsfc CS4

      CS4 type.

    - #### CS5

          public static final IpTosDsfc CS5

      CS5 type.

    - #### CS6

          public static final IpTosDsfc CS6

      CS6 type.

    - #### CS7

          public static final IpTosDsfc CS7

      CS7 type.

    - #### AF11

          public static final IpTosDsfc AF11

      AF11 type.

    - #### AF12

          public static final IpTosDsfc AF12

      AF12 type.

    - #### AF13

          public static final IpTosDsfc AF13

      AF13 type.

    - #### AF21

          public static final IpTosDsfc AF21

      AF21 type.

    - #### AF22

          public static final IpTosDsfc AF22

      AF22 type.

    - #### AF23

          public static final IpTosDsfc AF23

      AF23 type.

    - #### AF31

          public static final IpTosDsfc AF31

      AF31 type.

    - #### AF32

          public static final IpTosDsfc AF32

      AF32 type.

    - #### AF33

          public static final IpTosDsfc AF33

      AF33 type.

    - #### AF41

          public static final IpTosDsfc AF41

      AF41 type.

    - #### AF42

          public static final IpTosDsfc AF42

      AF42 type.

    - #### AF43

          public static final IpTosDsfc AF43

      AF43 type.

    - #### EF_PHB

          public static final IpTosDsfc EF_PHB

      EF_PHB type.

    - #### VOICE_ADMIT

          public static final IpTosDsfc VOICE_ADMIT

      Voice Admit type.

  - ### Method Detail

    - #### values

          public static IpTosDsfc[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IpTosDsfc c : IpTosDsfc.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IpTosDsfc valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.